Skip to main content
GET
/
api
/
v2
/
code-refs
/
repositories
/
{repo}
/
branches
List branches
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/code-refs/repositories/{repo}/branches \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "items": [
    {
      "name": "main",
      "head": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
      "syncTime": "1636558831870",
      "_links": {},
      "updateSequenceId": 25,
      "references": [
        {
          "path": "/main/index.js",
          "hunks": [
            {
              "startingLineNumber": 45,
              "lines": "var enableFeature = 'enable-feature';",
              "projKey": "default",
              "flagKey": "enable-feature",
              "aliases": [
                "enableFeature",
                "EnableFeature"
              ]
            }
          ],
          "hint": "javascript"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

repo
string<string>
required

The repository name

Response

Branch collection response

The location and content type of related resources

items
object[]
required

An array of branches